Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Principal

    java.lang.Object
      |
      +--netscape.security.Principal

public final class Principal
extends Object

Dummy class.

Field Summary
`static int` | `CERT`
`static int` | `CERT_FINGERPRINT`
`static int` | `CERT_KEY`
`static int` | `CODEBASE_EXACT`
`static int` | `CODEBASE_REGEXP`

Constructor Summary
`Principal()`
`Principal(int i, byte[] ba)`
`Principal(int i, byte[] ba, Class cl)`
`Principal(int i, String s)`
`Principal(java.net.URL u)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getNickname()`
`String` | `getVendor()`
`static int` | `getZigPtr(Class cl)`
`int` | `hashCode()`
`boolean` | `isCert()`
`boolean` | `isCertFingerprint()`
`boolean` | `isCodebase()`
`boolean` | `isCodebaseExact()`
`boolean` | `isCodebaseRegexp()`
`String` | `toString()`
`String` | `toVerboseHtml()`
`String` | `toVerboseString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CODEBASE_EXACT

    public static final int CODEBASE_EXACT

### CODEBASE_REGEXP

    public static final int CODEBASE_REGEXP

### CERT

    public static final int CERT

### CERT_FINGERPRINT

    public static final int CERT_FINGERPRINT

### CERT_KEY

    public static final int CERT_KEY

Constructor Detail

### Principal

    public Principal()

### Principal

    public Principal(java.net.URL u)

### Principal

    public Principal(int i,
                     String s)

### Principal

    public Principal(int i,
                     byte[] ba)

### Principal

    public Principal(int i,
                     byte[] ba,
                     Class cl)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    equals in class Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class Object

### isCodebase

    public boolean isCodebase()

### isCodebaseExact

    public boolean isCodebaseExact()

### isCodebaseRegexp

    public boolean isCodebaseRegexp()

### isCert

    public boolean isCert()

### isCertFingerprint

    public boolean isCertFingerprint()

### toString

    public String toString()

  Overrides:
    toString in class Object

### toVerboseString

    public String toVerboseString()

### getVendor

    public String getVendor()

### toVerboseHtml

    public String toVerboseHtml()

### getNickname

    public String getNickname()

### getZigPtr

    public static int getZigPtr(Class cl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.